Subject: Re: [PATCH net] netdevsim: Restore per-network namespace accounting for fib entries

From: Jiri Pirko <[email-masked]>
Date: Tue, 13 Aug 2019 22:37:47 +0200

Tue, Aug 13, 2019 at 07:40:54PM CEST, [email-masked] wrote:
>From: Jiri Pirko <[email-masked]>
>Date: Tue, 13 Aug 2019 09:14:45 +0200
>
>> Mon, Aug 12, 2019 at 05:28:02PM CEST, [email-masked] wrote:
>>>From: Jiri Pirko <[email-masked]>
>>>Date: Mon, 12 Aug 2019 10:36:35 +0200
>>>
>>>> I understand it with real devices, but dummy testing device, who's
>>>> purpose is just to test API. Why?
>>>
>>>Because you'll break all of the wonderful testing infrastructure
>>>people like David have created.
>>  
>> Are you referring to selftests? There is no such test there :(
>> But if it would be, could implement the limitations
>> properly (like using cgroups), change the tests and remove this
>> code from netdevsim?
>
>What about older kernels?  Can't you see how illogical this is?

Not really, since this is a dummy testing device. Not like we would
break anybody. Well, I changed instantiation of netdevsim from rtnetlink
to sysfs, that is even bigger breakage, nobody cared (of course).

Well sure we can comeup with netdevsim2, netdevsimN, to maintain backward
compatibility of netdevsim. I find it ridiculous. But anyway, I don't
really care that much. I resign as this seems futile :(